<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;
use Spatie\Permission\Traits\HasRoles;

class Fault extends Model
{
        use HasFactory, Notifiable;
        use HasRoles;
    
        /**
         * The attributes that are mass assignable.
         *
         * @var array<int, string>
         */
        protected $fillable = [
            'contact_name',
            'contact_phone',
            'description',
            'address',
            'status',
            'google_maps_link',
            'city',
        ];
}
