<!DOCTYPE HTML>
<html lang="es">
<head>
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-GQ9X9Y7P8L"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', 'G-GQ9X9Y7P8L');
    </script>
    <title>@yield('title', 'ElectricistasDana.com - Voluntarios electricistas para dar servicio a los afectados en Valencia')</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <link rel="stylesheet" href="{{ asset('assets/css/main.css') }}">
</head>

<body class="is-preload">

    <!-- Header Section -->
    <section id="header">
        <header class="major">
            <h1>Electricistas Dana</h1>
            <p>Coordinamos voluntarios y averías de suministro eléctrico.</p>
            <div style="padding-top: 30px;">
                <a href="https://forms.gle/Qd8K3N1eTcuHRY9PA" target="_blank" class="button primary icon solid fa-download">Registrar Incidencia</a>
            </div>
            <p>Ayudamos a restablecer el servicio mínimo en las viviendas afectadas, de forma totalmente gratuita.</p>
            <p>Indique únicamente averías eléctricas. <br> No se atenderán avisos de otro tipo.</p>
        </header>

        <ul class="actions">
            <div class="container">
                <li>
                    <a href="https://forms.gle/Qd8K3N1eTcuHRY9PA" target="_blank" class="button primary icon solid fa-download">Registrar Incidencia</a>
                </li>
                <div class="col-12-xsmall"></div>
            </div>
        </ul>
    </section>

    <!-- Main Content Section -->
    <section id="one" class="main special">
        <div class="container">
            <div class="content">
                <header class="major">
                    <h2>¿Quiénes Somos?</h2>
                </header>
                <p>
                    Somos un grupo de voluntarios electricistas comprometidos en ofrecer apoyo eléctrico mínimo vital allí donde se necesita. <br> Nuestro objetivo es restablecer un servicio básico en las viviendas afectadas para que puedan contar con luz y mantener en funcionamiento electrodomésticos esenciales como el frigorífico.
                </p>
                <p>
                    Los usuarios pueden enviar un aviso a través de un formulario sencillo, y nuestros voluntarios atenderán las incidencias por zonas dentro de sus posibilidades. Damos prioridad a aquellos que están aislados y que aún no han recibido ayuda, así como a las personas electro-dependientes que necesitan tener máquinas en funcionamiento para su subsistencia.
                </p>
            </div>
        </div>
    </section>

    <!-- Footer Section -->
    <section id="footer">
        <footer>
            <ul class="icons">
                <li>
                    <a href="https://www.instagram.com/p/DCCjwSPAkmb/?igsh=MTh5MXAwcHljeHk0OA==" class="icon brands alt fa-instagram" target="_blank">
                        <span class="label">Instagram</span>
                    </a>
                </li>
            </ul>
            <ul class="copyright">
                <li>&copy; ElectricistasDana.com</li>
            </ul>
        </footer>
    </section>

    <!-- Scripts -->
    <script src="{{ asset('assets/js/jquery.min.js') }}"></script>
    <script src="{{ asset('assets/js/jquery.scrollex.min.js') }}"></script>
    <script src="{{ asset('assets/js/jquery.scrolly.min.js') }}"></script>
    <script src="{{ asset('assets/js/browser.min.js') }}"></script>
    <script src="{{ asset('assets/js/breakpoints.min.js') }}"></script>
    <script src="{{ asset('assets/js/util.js') }}"></script>
    <script src="{{ asset('assets/js/main.js') }}"></script>
</body>
</html>
